davixcontext.hpp File Reference
`#include <string>`
`#include <status/davixstatusrequest.hpp>`
`#include <hooks/davix_hooks.hpp>`
`#include <utils/davix_uri.hpp>`

## Data Structures

class | Davix::Context
| Main handle for Davix. More...

## Functions

DAVIX_EXPORT const std::string & | Davix::version ()
DAVIX_EXPORT const std::string | Davix::backendRuntimeVersion ()
DAVIX_EXPORT const std::string | Davix::backendHeadersVersion ()

## Detailed Description

Author
  Devresse Adrien

Handle of Davix

## Function Documentation

## backendHeadersVersion()

DAVIX_EXPORT const std::string Davix::backendHeadersVersion | ( |  | ) |

backend version at the time of compilation which could be different than runtime one

Returns
  header version of backend library

## backendRuntimeVersion()

DAVIX_EXPORT const std::string Davix::backendRuntimeVersion | ( |  | ) |

runtime version string of the current HTTP backend library

Returns
  version of backend library

## version()

DAVIX_EXPORT const std::string & Davix::version | ( |  | ) |

runtime version string of the current davix library

Returns
  version of davix